RABBIT(1)

NAME
rabbit - presentation tool using RD, simple text format

SYNOPSIS
rabbit [options] [SOURCE_INFOS]

DESCRIPTION
Theme

-I, --include=PATH
    Add [PATH] to load path.

-t, --theme=THEME
    Use [THEME] as theme. (default)

--comment-theme=THEME
    Use [THEME] for comment. ()

--allotted-time=TIME
    Use [TIME] as allotted time. ()

Source

-T, --type=TYPE
    Specify source type as [TYPE]. Select from [auto, memory, uri, file, slideshare, argf]. Note: case insensitive. (auto)

    When select Memory specify [FILENAME_OR_NOT] as [SOURCE_INFOS].

    When select URI specify URI as [SOURCE_INFOS].

    When select File specify [FILENAME] as [SOURCE_INFOS].

    When select SlideShare specify [USER] and [TITLE] as [SOURCE_INFOS].

    When select ARGF specify none (get from STDIN) or [FILE_NAMES] as [SOURCE_INFOS].

-e, --encoding=ENCODING
    Specify source encoding as [ENCODING]. (auto)

-B, --base=BASE
    Specify base URI or path of source as [BASE]. (auto)

Initial state

-f, --[no-]full-screen
    Toggle full screen mode. (off)

--[no-]index-mode
    Toggle index mode. (off)

Size

-g, --geometry=GEOMETRY
    Set window geometry [GEOMETRY]. Format: WIDTHxHEIGHT+X+Y (nil)

-w, --width=WIDTH
    Set window width to [WIDTH]. (800)

-h, --height=HEIGHT
    Set window height to [HEIGHT]. (600)

-S, --size=WIDTH,HEIGHT
    Set window width and height to [WIDTH] and [HEIGHT]. (800,600)

Save

-s, --save-as-image
    Save as image and exit.

-i, --saved-image-type=TYPE
    Specify saved image type as [TYPE]. (png)

-bBASE_NAME,
    Specify saved image base name as [BASE_NAME].

--saved-image-base-name
    (Title of slide)

--saved-image-basename

--[no-]output-html
    Output HTML for viewing saved images. (false)

--[no-]output-index-html
    Output index HTML for navigating slides. (false)

--rss-base-uri=URI
    Specify base URI of RSS as [URI]. RSS is generated only when HTML is output. ()

--source-filename=FILENAME
    Specify source filenam as [FILENAME]. ()

Print

-p, --print
    Print and exit.

-o, --output-filename=FILENAME
    Specify printed out filename as [FILENAME]. (#{Title of slide}.pdf)

--slides-per-page=SLIDES
    Set slides per page. (1)

--[no-]draw-scaled-image
    Draw scaled image. Better look for displaying but lesser look for printing. (auto)

Paper

--paper-width=WIDTH
    Set paper width to [WIDTH] Pt. (landscape A4 width)

--paper-height=HEIGHT
    Set paper height to [HEIGHT] Pt. (landscape A4 height)

--paper-size=WIDTH,HEIGHT
    Set paper width and height to [WIDTH] Pt and [HEIGHT] Pt. (landscape A4 size)

Margin

--margin-left=MARGIN
    Set left margin for slides per page mode print. (auto)

--margin-right=MARGIN
    Set right margin for slides per page mode print. (auto)

--margin-top=MARGIN
    Set top margin for slides per page mode print. (auto)

--margin-bottom=MARGIN
    Set bottom margin for slides per page mode print. (auto)

--margin=[ALL]

--margin=[TOP_BOTTOM],[LEFT_RIGHT]

--margin=[TOP],[LEFT_RIGHT],[BOTTOM]

--margin=[TOP],[RIGHT],[BOTTOM],[LEFT]
    Set margin for slides per page mode print.

--page-margin-left=MARGIN
    Set left page margin. (auto)

--page-margin-right=MARGIN
    Set right page margin. (auto)

--page-margin-top=MARGIN
    Set top page margin. (auto)

--page-margin-bottom=MARGIN
    Set bottom page margin. (auto)

--page-margin=[ALL]

--page-margin=[TOP_BOTTOM],[LEFT_RIGHT]

--page-margin=[TOP],[LEFT_RIGHT],[BOTTOM]

--page-margin=[TOP],[RIGHT],[BOTTOM],[LEFT]
    Set page margin.

dRuby

--[no-]use-druby
    Specify whether to use dRuby. (true)

--druby-uri=URI
    Specify dRuby URI. (druby://127.0.0.1:10101)

--[no-]output-druby-uri
    Specify whether to output dRuby URI. (false)

SOAP

--[no-]use-soap
    Specify whether to use SOAP. (false)

--soap-host=HOST
    Specify SOAP host as [HOST]. (0.0.0.0)

--soap-port=PORT
    Specify SOAP port as [PORT]. (10103)

XML-RPC

--[no-]use-xmlrpc
    Specify whether to use XML-RPC. (false)

--xmlrpc-host=HOST
    Specify XML-RPC host as [HOST]. (0.0.0.0)

--xmlrpc-port=PORT
    Specify XML-RPC port as [PORT]. (10104)

Server

--[no-]server
    Specify whether to run as server. (false)

Public level

--public-level=LEVEL
    Specify public level. Select from the following: [

    strict, move, read-size, change-size, size, read-source, change-source, source, control, all

    ] (all)

Comment

--comment-source=FILE
    Deprecated. Just ignored. Specify initial comment source. (default source)

--comment-encoding=ENCODING
    Deprecated. Just ignored. Specify comment source encoding. (auto)

Migemo

--migemo-dictionary-search-path=PATH1,PATH2,...
    Specify search paths for Migemo static dictionary. (/usr/share, /usr/local/share)

--migemo-dictionary-name=NAME
    Specify static dictionary name for Migemo. (migemo-dict)

3D

--[no-]use-gl
    Specify whether to use OpenGL if available. (false)

Display

--[no-]keep-above
    Specify whether to keep above window. (false)

Others

--[no-]show-native-window-id Show a native window ID of the Rabbit window if available.
    e.g. The ID is the ID of X resource on X window system. (false)

Common options

--options-file=FILE
    Load options from FILE. (none)

--locale-dir=DIR
    Specify locale dir as [DIR]. (auto)

--logger-type=TYPE
    Specify logger type as [TYPE]. Select from [stderr, gui]. (STDERR)

--log-level=LEVEL
    Specify log level as [LEVEL]. Select from [debug, info, warning, error, fatal, unknown]. (info)

--help
    Show this message.

--version
    Show version.